org.jboss.netty.handler.codec.frame

## Class Delimiters

- java.lang.Object
- - org.jboss.netty.handler.codec.frame.Delimiters

-     public final class Delimiters
      extends Object

  A set of commonly used delimiters for `DelimiterBasedFrameDecoder`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ChannelBuffer[]` | `lineDelimiter()` Returns `CR ('\r')` and `LF ('\n')` delimiters, which could be used for text-based line protocols.
    `static ChannelBuffer[]` | `nulDelimiter()` Returns a `NUL (0x00)` delimiter, which could be used for Flash XML socket or any similar protocols.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### nulDelimiter

          public static ChannelBuffer[] nulDelimiter()

      Returns a `NUL (0x00)` delimiter, which could be used for Flash XML socket or any similar protocols.

    - #### lineDelimiter

          public static ChannelBuffer[] lineDelimiter()

      Returns `CR ('\r')` and `LF ('\n')` delimiters, which could be used for text-based line protocols.

Copyright © 2008-2012 The Netty Project. All Rights Reserved.